Last Comment Bug 524682 - comm-central should pull Chatzilla from hg rather than CVS
: comm-central should pull Chatzilla from hg rather than CVS
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 3.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 475011 484205
Blocks: 534422 537461 614294
  Show dependency treegraph
 
Reported: 2009-10-27 08:32 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-11-27 15:30 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Just like Venkman [Checkin: Comment 5] (8.90 KB, patch)
2009-10-27 16:17 PDT, Serge Gautherie (:sgautherie)
kairo: review+
gozer: review+
kairo: approval‑seamonkey2.0.1-
Details | Diff | Review
(Bv1-191) Just like Venkman [Checkin: Comment 12] (9.70 KB, patch)
2009-12-13 08:42 PST, Serge Gautherie (:sgautherie)
kairo: approval‑seamonkey2.0.3+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-10-27 08:32:17 PDT
+++ This bug was initially created as a clone of Bug #482686 +++
Comment 1 Serge Gautherie (:sgautherie) 2009-10-27 16:17:16 PDT
Created attachment 408725 [details] [diff] [review]
(Av1) Just like Venkman
[Checkin: Comment 5]
Comment 2 Robert Kaiser (not working on stability any more) 2009-10-29 05:19:36 PDT
Sorry, this does not depend on bug 524654 as just having an empty existing repo doesn't help us much, and it doesn't block bug 475011 because ChatZilla can move its development to hg without depending on us using that repo - it's the other way round, we depend on their source being there to switch over.
I'll wait with review until bug 475011 is fixed and ChatZilla code is actually there.
Comment 3 Serge Gautherie (:sgautherie) 2009-11-01 13:25:19 PST
(In reply to comment #2)
> I'll wait with review until bug 475011 is fixed and ChatZilla code is actually
> there.

Tested fine with now loaded CZ repo.
Comment 4 Robert Kaiser (not working on stability any more) 2009-11-02 04:36:06 PST
Comment on attachment 408725 [details] [diff] [review]
(Av1) Just like Venkman
[Checkin: Comment 5]

Looks good to me, but I'd like a second look at it from someone who's better at python - gozer, could you do that?
Comment 5 Serge Gautherie (:sgautherie) 2009-11-02 20:12:33 PST
Comment on attachment 408725 [details] [diff] [review]
(Av1) Just like Venkman
[Checkin: Comment 5]


http://hg.mozilla.org/comm-central/rev/e245eb08c4ba


"approval-seamonkey2.0.1=?":
No risk, Follow new CZ trunk repo.
Comment 6 Robert Kaiser (not working on stability any more) 2009-11-03 04:28:05 PST
Comment on attachment 408725 [details] [diff] [review]
(Av1) Just like Venkman
[Checkin: Comment 5]

This unfortunately is somewhat more critical on the comm-1.9.1 branch, as it requires changes to the build automation for the releases machinery.
Comment 7 Robert Kaiser (not working on stability any more) 2009-11-03 13:14:14 PST
I've talked to gozer, and we agreed that we should hold landing this on 1.9.1 off until Thunderbird 3.0 has been done. In practice, this probably means that we'll do it once I'm back from vacation, when I can also look into getting our buildbot factories fixed for it.
Comment 8 Robert Kaiser (not working on stability any more) 2009-12-13 05:50:42 PST
Comment on attachment 408725 [details] [diff] [review]
(Av1) Just like Venkman
[Checkin: Comment 5]

From what I see, this patch doesn't apply as-is to the 1.9.1 branch (and 2.0.1 has been cut already), so minusing this particular patch.

Could you please attach a version that applies to the 1.9.1 branch? I'd like to have this in, esp. in conjuction with bug 534422.
Comment 9 Serge Gautherie (:sgautherie) 2009-12-13 08:42:14 PST
Created attachment 417353 [details] [diff] [review]
(Bv1-191) Just like Venkman
[Checkin: Comment 12]

Av1, with comment 8 suggestion(s).
Comment 10 Robert Kaiser (not working on stability any more) 2009-12-13 09:08:53 PST
Comment on attachment 417353 [details] [diff] [review]
(Bv1-191) Just like Venkman
[Checkin: Comment 12]

Looks good, just want to have bug 534422 ready so build machines don't need more special hacks
Comment 11 Robert Kaiser (not working on stability any more) 2009-12-17 06:55:07 PST
Comment on attachment 417353 [details] [diff] [review]
(Bv1-191) Just like Venkman
[Checkin: Comment 12]

a=me but please don't land, I'd like to have this in a single commit with bug 534422 so that no build machines (whatever they are pulling right now) might pull a newer chatzilla just to go back later.
Comment 12 Robert Kaiser (not working on stability any more) 2009-12-17 08:20:25 PST
http://hg.mozilla.org/releases/comm-1.9.1/rev/ee5e6c3b8fdb

Note You need to log in before you can comment on or make changes to this bug.